D-Bus 1.12.4

Data Fields
DBusServerVTable Struct Reference

Virtual table to be implemented by all server "subclasses". More...

`#include <dbus-server-protected.h>`

## Data Fields
void(* | finalize )(DBusServer *server)
| The finalize method must free the server.
void(* | disconnect )(DBusServer *server)
| Disconnect this server.

## Detailed Description

Virtual table to be implemented by all server "subclasses".

Definition at line 43 of file dbus-server-protected.h.

## Field Documentation

## ◆ disconnect

void(* DBusServerVTable::disconnect) (DBusServer *server)

Disconnect this server.

Definition at line 48 of file dbus-server-protected.h.

## ◆ finalize

void(* DBusServerVTable::finalize) (DBusServer *server)

The finalize method must free the server.

Definition at line 45 of file dbus-server-protected.h.

Referenced by _dbus_server_unref_unlocked(), and dbus_server_unref().

The documentation for this struct was generated from the following file:

- dbus-server-protected.h